summaryrefslogtreecommitdiffstats
path: root/source/script/tests/runtests.sh
diff options
context:
space:
mode:
authorGerald Carter <jerry@samba.org>2005-08-24 13:09:13 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 11:01:13 -0500
commit019155e748d9e04150bae39676362b794c1b6043 (patch)
tree8e60e36022ef3ae30b512fee23c8bc1dbbd61578 /source/script/tests/runtests.sh
parentbec6cf7ea80fde683e90590421569ea8ff88830c (diff)
downloadsamba-019155e748d9e04150bae39676362b794c1b6043.tar.gz
samba-019155e748d9e04150bae39676362b794c1b6043.tar.xz
samba-019155e748d9e04150bae39676362b794c1b6043.zip
r9583: ensure that Samba was with with --enable-socket-wrapper for running 'make test'
Diffstat (limited to 'source/script/tests/runtests.sh')
-rw-r--r--source/script/tests/runtests.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/source/script/tests/runtests.sh b/source/script/tests/runtests.sh
index b814ad91e79..bb599ea3ecb 100644
--- a/source/script/tests/runtests.sh
+++ b/source/script/tests/runtests.sh
@@ -44,6 +44,19 @@ export PRIVATEDIR LIBDIR PIDDIR LOCKDIR TMPDIR LOGDIR
export SRCDIR SCRIPTDIR
export USERNAME PASSWORD
+
+##
+## verify that we were built with --enable-socket-wrapper
+##
+
+if test "x`smbd -b | grep SOCKET_WRAPPER`" == "x"; then
+ echo "***"
+ echo "*** You must include --enable-socket-wrapper when compiling Samba"
+ echo "*** in order to execute 'make test'. Exiting...."
+ echo "***"
+ exit 1
+fi
+
##
## create the test directory layout
##